Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.action
Class MethodActionExecutor

    java.lang.Object
      org.teleal.cling.model.action.AbstractActionExecutor
          org.teleal.cling.model.action.MethodActionExecutor

All Implemented Interfaces:
  ActionExecutor

    public class MethodActionExecutor

extends AbstractActionExecutor

Invokes methods on a service implementation instance with reflection.

Author:
  Christian Bauer

Field Summary
`protected Method` | `method`

Fields inherited from class org.teleal.cling.model.action.AbstractActionExecutor
`outputArgumentAccessors`

Constructor Summary
`MethodActionExecutor(Map<ActionArgument<LocalService>,StateVariableAccessor> outputArgumentAccessors, Method method)`
`MethodActionExecutor(Method method)`

Method Summary
`protected Object[]` | `createInputArgumentValues(ActionInvocation<LocalService> actionInvocation, Method method)`
`protected void` | `execute(ActionInvocation<LocalService> actionInvocation, Object serviceImpl)`
`Method` | `getMethod()`
`protected boolean` | `isUseOutputArgumentAccessors(ActionInvocation<LocalService> actionInvocation)`

Methods inherited from class org.teleal.cling.model.action.AbstractActionExecutor
`execute, getOutputArgumentAccessors, readOutputArgumentValues, setOutputArgumentValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### method

    protected Method method

Constructor Detail

### MethodActionExecutor

    public MethodActionExecutor(Method method)

### MethodActionExecutor

    public MethodActionExecutor(Map<ActionArgument<LocalService>,StateVariableAccessor> outputArgumentAccessors,
                                Method method)

Method Detail

### getMethod

    public Method getMethod()

### execute

    protected void execute(ActionInvocation<LocalService> actionInvocation,
                           Object serviceImpl)
                    throws Exception

  Specified by:
    `execute` in class `AbstractActionExecutor`
  Throws:
    `Exception`

### isUseOutputArgumentAccessors

    protected boolean isUseOutputArgumentAccessors(ActionInvocation<LocalService> actionInvocation)

### createInputArgumentValues

    protected Object[] createInputArgumentValues(ActionInvocation<LocalService> actionInvocation,
                                                 Method method)
                                          throws ActionException

  Throws:
    `ActionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.